

import axios from 'axios';
const baseUri = "waterFunctionArea/nationalLevelWaterFunctionAreaPoint";
const listAllUrl = baseUri + "";

// 添加
const saveAqiRelate = function (data) {
    return axios.post("waterFunctionArea/nationalLevelWaterFunctionAreaPoint",data)
}

// 删除
const removeAqiRelate = function (id) {
    return axios.delete(`waterFunctionArea/nationalLevelWaterFunctionAreaPoint/${id}`,)
}
// 批量删除
const removeBatchAqiRelate = function (ids) {
    return axios.delete("waterFunctionArea/nationalLevelWaterFunctionAreaPoint/batch",{data:ids})
}

// 修改
const updateAqiRelate = function (data) {
    return axios.put("waterFunctionArea/nationalLevelWaterFunctionAreaPoint",data)
}

const copyBatchAqiRelate = function (data){
    return axios.post("waterFunctionArea/nationalLevelWaterFunctionAreaPoint/copyBatch",data)
}
const getColumnOptions = function(column){
    return axios.get("waterFunctionArea/nationalLevelWaterFunctionAreaPoint/options",{params:{column}})
}
const listInfo = function(){
    return axios.post("/waterFunctionArea/nationalLevelWaterFunctionAreaPoint/listInfo",{})
}
export {
    listAllUrl,
    saveAqiRelate,
    updateAqiRelate,
    removeBatchAqiRelate,
    removeAqiRelate,
    copyBatchAqiRelate,
    getColumnOptions,
    listInfo

}
